Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007842opensim[REGION] OpenSim Corepublic2016-03-15 20:192016-03-21 20:36
Reporterkenvc 
Assigned Tokenvc 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual Xeon Quad core CPUsOSWindows 64 bit 32gbOS VersionServer 2012
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007842: One instance configured same as all my others crashes shortly after it finishes loading.
DescriptionOne instance configured same as all my others crashes shorty after it finishes loading. See error from log below. Also full log will be attached shorty. This is now happening on a consistent basis, maybe caused by some object or script in one of the Sims, but no clue is in the log files or on the console when it happens.

bulletin is in use along with the normal xengine, so basically a default configuration. This has been happening for at least a couple weeks, but its an instance I rarely use or visit, so have not been in a hurry to report it until I saw it consistently happening.
Steps To ReproduceStart instance , then let it load. Shortly, it crashes with the error shown below in the additional info section.
Additional Information2016-03-15 19:00:32,683 ERROR - OpenSim.Application [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule.HttpRequestReturn(IAsyncResult result) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\CoreModules\Scripting\LoadImageURL\LoadImageURLModule.cs:line 279
   at System.Net.LazyAsyncResult.Complete(IntPtr userToken)
   at System.Net.ContextAwareResult.CompleteCallback(Object state)
   at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   at System.Net.ContextAwareResult.Complete(IntPtr userToken)
   at System.Net.LazyAsyncResult.ProtectedInvokeCallback(Object result, IntPtr userToken)
   at System.Net.HttpWebRequest.SetResponse(Exception E)
   at System.Net.HttpWebRequest.SetAndOrProcessResponse(Object responseOrException)
   at System.Net.ConnectionReturnResult.SetResponses(ConnectionReturnResult returnResult)
   at System.Net.Connection.CompleteConnectionWrapper(Object request, Object state)
   at System.Net.PooledStream.ConnectionCallback(Object owningObject, Exception e, Socket socket, IPAddress address)
   at System.Net.ServicePoint.ConnectSocketCallback(IAsyncResult asyncResult)
   at System.Net.LazyAsyncResult.Complete(IntPtr userToken)
   at System.Net.ContextAwareResult.Complete(IntPtr userToken)
   at System.Net.LazyAsyncResult.ProtectedInvokeCallback(Object result, IntPtr userToken)
   at System.Net.Sockets.Socket.ConnectCallback()
   at System.Net.Sockets.Socket.RegisteredWaitCallback(Object state, Boolean timedOut)
   at System.Threading._ThreadPoolWaitOrTimerCallback.PerformWaitOrTimerCallback(Object state, Boolean timedOut)

Application is terminating: True
TagsNo tags attached.
Git Revision or version number2016/03/16
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentUnknown, .NET / Windows64
Mono VersionNone
ViewerN/A
Attached Fileslog file icon OpenSim.log [^] (205,665 bytes) 2016-03-15 20:19

- Relationships

-  Notes
(0030080)
JeffKelley (reporter)
2016-03-16 04:08

response.StatusCode is accessed when response is null

Try starting without scripts ([XEngine] Enabled = false) then look for a script displaying an image from the web (osDrawImage)
(0030090)
kenvc (reporter)
2016-03-21 20:35

I updated to the latest checked in code for dev master 2 days ago, and this issue has not happened again even once. I can only assume that something that was recently changed corrected this issue, so closing as resolved.

- Issue History
Date Modified Username Field Change
2016-03-15 20:19 kenvc New Issue
2016-03-15 20:19 kenvc File Added: OpenSim.log
2016-03-15 20:22 kenvc Description Updated View Revisions
2016-03-15 20:26 kenvc Summary One instance configured same as all my others crashes exactly 5 minutes to the second after it finishes loading. => One instance configured same as all my others crashes about an hour after it finishes loading.
2016-03-15 20:26 kenvc Description Updated View Revisions
2016-03-15 20:26 kenvc Steps to Reproduce Updated View Revisions
2016-03-15 20:28 kenvc Summary One instance configured same as all my others crashes about an hour after it finishes loading. => One instance configured same as all my others crashes shortly after it finishes loading.
2016-03-15 20:28 kenvc Description Updated View Revisions
2016-03-15 20:28 kenvc Steps to Reproduce Updated View Revisions
2016-03-16 04:08 JeffKelley Note Added: 0030080
2016-03-21 20:35 kenvc Note Added: 0030090
2016-03-21 20:35 kenvc Status new => resolved
2016-03-21 20:35 kenvc Fixed in Version => master (dev code)
2016-03-21 20:35 kenvc Resolution open => fixed
2016-03-21 20:35 kenvc Assigned To => kenvc
2016-03-21 20:36 kenvc Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker